Home

Get Messages

GET
https://ton-index.nownodes.io/api/v3/messages

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get messages by specified filters.

Parameters

hashstringquery

Message hash. Acceptable in hex, base64 and base64url forms.

sourcestringquery

The source account address. Can be sent in hex, base64 or base64url form. Use value null to get external messages.

destinationstringquery

The destination account address. Can be sent in hex, base64 or base64url form. Use value null to get log messages.

body_hashstringquery

Message body hash. Acceptable in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error